## Apache Zeta Components Manual :: File Source for result_filter.php

## Source for file result_filter.php

Documentation is available at result_filter.php

1. <?php
2. /**
3. * File containing the ezcMvcResultFilter class
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
23. * @version //autogentag//
24. * @filesource
25. * @package MvcTools
26. */
28. /**
29. * A result filter is responsible for altering the result object.
30. *
31. * @package MvcTools
32. * @version //autogentag//
33. */
34. interface ezcMvcResultFilter
35. {
36. /**
37. * Alters the result object.
38. *
39. * @param ezcMvcResult $result Result object to alter.
40. * @return void
41. */
42. public function filterResult ( ezcMvcResult $result );
44. /**
45. * Sets options on the filter object
46. *
47. * @throws ezcMvcFilterHasNoOptionsException if the filter does not support options.
48. * @param array $options
49. */
50. public function setOptions ( array $options );
51. }
52. ?>

Documentation generated by phpDocumentor 1.4.3